LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
XAllListenerAdapterService Interface Referencepublished

allows the generation of adapters from specific interfaces to the XAllListener interface. More...

`import"XAllListenerAdapterService.idl";`

Inheritance diagram for XAllListenerAdapterService:

## Public Member Functions
com::sun::star::uno::XInterface | createAllListerAdapter ([in] type xListenerType, [in] com::sun::star::script::XAllListener xListener, [in] any aHelper)
| creates a wrapper from the listener of type xListenerType to the XAllListener listener. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows the generation of adapters from specific interfaces to the XAllListener interface.

## Member Function Documentation

## ◆ createAllListerAdapter()

com::sun::star::uno::XInterface createAllListerAdapter | ( | [in] type | xListenerType,
|  | [in] com::sun::star::script::XAllListener | xListener,
|  | [in] any | aHelper
| ) |  |

creates a wrapper from the listener of type xListenerType to the XAllListener listener.

To get the correct listener interface the returned com::sun::star::uno::XInterface has to be queried for it.

The documentation for this interface was generated from the following file:

- com/sun/star/script/XAllListenerAdapterService.idl